# std::ios_base::failure Class Reference

These are thrown to indicate problems. Doc me. More...

`#include <ios_base.h>`

Inheritance diagram for std::ios_base::failure:

[legend]
Collaboration diagram for std::ios_base::failure:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

These are thrown to indicate problems. Doc me.

Definition at line 164 of file ios_base.h.

## Member Function Documentation

const char * std::ios_base::failure::what | ( |  | ) | const throw ()`[virtual]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented from std::exception. Definition at line 46 of file ios_failure.cc.

The documentation for this class was generated from the following files:

- ios_base.h
- ios_failure.cc